<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>My Tasks</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Tasks</h1>
                {% for tasks in show_my_tasks %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% empty %}
                            <p>You have no tasks</p>
                        {% endfor %}
                        {% for tasks in show_my_tasks %}
                            <tr>
                                <td>{{ tasks.name }}</td>
                                <td>{{ tasks.start_date }}</td>
                                <td>{{ tasks.due_date }}</td>
                                <td>{{ detail.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </div>
            </main>
        </body>
    </html>
